Skip to main content
`Ctrl`+`K`

# TaoGetLineSearch

Gets the line search used by the optimization solver.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetLineSearch(Tao tao, TaoLineSearch *ls)

Not Collective

## Input Parameter

- tao - the `Tao` solver

## Output Parameter

- ls - the line search used in the optimization solver

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchType`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages